## net.sf.saxon.event
Class NoOpenStartTagException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--javax.xml.transform.TransformerException
                        |
                        +--net.sf.saxon.xpath.XPathException
                              |
                              +--net.sf.saxon.xpath.DynamicError
                                    |
                                    +--net.sf.saxon.event.NoOpenStartTagException

All Implemented Interfaces:
  java.io.Serializable

public class NoOpenStartTagException
extends DynamicError

Exception indicating that an attribute or namespace node has been written when there is no open element to write it to

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class net.sf.saxon.xpath.XPathException
`XPathException.Circularity`

Constructor Summary
`NoOpenStartTagException(int nodeKind, boolean topLevel)`

Methods inherited from class net.sf.saxon.xpath.DynamicError
`getXPathContext, setXPathContext`

Methods inherited from class net.sf.saxon.xpath.XPathException
`getErrorCode, hasBeenReported, isTypeError, makeStatic, setErrorCode, setHasBeenReported, setIsTypeError, wrap`

Methods inherited from class javax.xml.transform.TransformerException
`getCause, getException, getLocationAsString, getLocator, getMessageAndLocation, initCause, printStackTrace, printStackTrace, printStackTrace, setLocator`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoOpenStartTagException

    public NoOpenStartTagException(int nodeKind,
                                   boolean topLevel)